Skip to main content
GET
/
stats
/
{serverId}
Get Historical Server Metrics
curl --request GET \
  --url https://historical-scp.daon.xyz/stats/{serverId}
[ { "time": "2024-01-01T00:00:00Z", "players_current": 15.5, "players_max": 25 }, { "time": "2024-01-01T00:15:00Z", "players_current": 16.2, "players_max": 25 } ]

Path Parameters

serverId
integer
required

Unique identifier of the server

Query Parameters

start
string<date-time>

Start time in RFC3339 format (e.g., 2024-01-01T00:00:00Z). If not specified, defaults to 24 hours before end time.

end
string<date-time>

End time in RFC3339 format. If not specified, defaults to current time.

Response

Historical server metrics with automatically determined time intervals

time
string<date-time>
required

Start time of the interval

players_current
number<float>
required

Average number of players during the interval

players_max
integer
required

Maximum player capacity during the interval